For the complete documentation index, see llms.txt. This page is also available as Markdown.

Badgeconnect

Get assertions for the authenticated user

get

Returns a paginated list of OB 2.1 assertions for the authenticated badge recipient

Required scopes
This endpoint requires the following scopes:
  • : List assertions in your backpack
Authorizations
OAuth2authorizationCodeRequired

OAuth2 authorizationCode flow is currently not functional on the Swagger UI.

Authorization URL: Token URL:
Query parameters
limitinteger · int32Optional
offsetinteger · int32Optional
sincestring · date-timeOptional
Responses
200

Assertions retrieved successfully

application/ld+json
get/bcv1/assertions
GET /bcv1/assertions HTTP/1.1
Host: api.badges.parchment.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "assertions": [
    {
      "@context": "text",
      "badge": "https://example.com/badges/1",
      "evidence": [
        "text"
      ],
      "expires": "2026-01-01T00:00:00.000Z",
      "extensions": {
        "ANY_ADDITIONAL_PROPERTY": {}
      },
      "id": "text",
      "image": {
        "caption": "text",
        "id": "text"
      },
      "issuedOn": "2026-01-01T00:00:00.000Z",
      "narrative": "text",
      "recipient": {
        "hashed": true,
        "identity": "text",
        "salt": "text",
        "type": "text"
      },
      "revocationReason": "text",
      "revoked": true,
      "type": "text",
      "verification": {
        "allowedOrigins": [
          "text"
        ],
        "creator": "text",
        "startsWith": "text",
        "type": "HostedBadge",
        "url": "text",
        "verificationProperty": "text"
      }
    }
  ],
  "status": {
    "error": "text",
    "statusCode": 1,
    "statusText": "text"
  }
}

Import an assertion

post

Import an OB 2.1 assertion by URL into the authenticated user's backpack

Required scopes
This endpoint requires the following scopes:
  • : Upload badges to your backpack
Authorizations
OAuth2authorizationCodeRequired

OAuth2 authorizationCode flow is currently not functional on the Swagger UI.

Authorization URL: Token URL:
Body
stringOptional
Responses
200

Assertion imported successfully

application/ld+json
post/bcv1/assertions
POST /bcv1/assertions HTTP/1.1
Host: api.badges.parchment.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 6

"text"
{
  "status": {
    "error": "text",
    "statusCode": 1,
    "statusText": "text"
  }
}

Get assertions for the authenticated user

get

Returns a paginated list of OB 2.1 assertions for the authenticated badge recipient

Required scopes
This endpoint requires the following scopes:
  • : List assertions in your backpack
Authorizations
OAuth2authorizationCodeRequired

OAuth2 authorizationCode flow is currently not functional on the Swagger UI.

Authorization URL: Token URL:
Query parameters
limitinteger · int32Optional
offsetinteger · int32Optional
sincestring · date-timeOptional
Responses
200

Assertions retrieved successfully

application/ld+json
get/bcv1/ims/ob/v2p1/assertions
GET /bcv1/ims/ob/v2p1/assertions HTTP/1.1
Host: api.badges.parchment.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "assertions": [
    {
      "@context": "text",
      "badge": "https://example.com/badges/1",
      "evidence": [
        "text"
      ],
      "expires": "2026-01-01T00:00:00.000Z",
      "extensions": {
        "ANY_ADDITIONAL_PROPERTY": {}
      },
      "id": "text",
      "image": {
        "caption": "text",
        "id": "text"
      },
      "issuedOn": "2026-01-01T00:00:00.000Z",
      "narrative": "text",
      "recipient": {
        "hashed": true,
        "identity": "text",
        "salt": "text",
        "type": "text"
      },
      "revocationReason": "text",
      "revoked": true,
      "type": "text",
      "verification": {
        "allowedOrigins": [
          "text"
        ],
        "creator": "text",
        "startsWith": "text",
        "type": "HostedBadge",
        "url": "text",
        "verificationProperty": "text"
      }
    }
  ],
  "status": {
    "error": "text",
    "statusCode": 1,
    "statusText": "text"
  }
}

Import an assertion

post

Import an OB 2.1 assertion by URL into the authenticated user's backpack

Required scopes
This endpoint requires the following scopes:
  • : Upload badges to your backpack
Authorizations
OAuth2authorizationCodeRequired

OAuth2 authorizationCode flow is currently not functional on the Swagger UI.

Authorization URL: Token URL:
Body
stringOptional
Responses
200

Assertion imported successfully

application/ld+json
post/bcv1/ims/ob/v2p1/assertions
POST /bcv1/ims/ob/v2p1/assertions HTTP/1.1
Host: api.badges.parchment.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 6

"text"
{
  "status": {
    "error": "text",
    "statusCode": 1,
    "statusText": "text"
  }
}

Get the authenticated user's profile

get

Returns the OB 2.1 profile of the authenticated badge recipient

Required scopes
This endpoint requires the following scopes:
  • : See who you are
Authorizations
OAuth2authorizationCodeRequired

OAuth2 authorizationCode flow is currently not functional on the Swagger UI.

Authorization URL: Token URL:
Responses
200

Profile retrieved successfully

application/ld+json
get/bcv1/ims/ob/v2p1/profile
GET /bcv1/ims/ob/v2p1/profile HTTP/1.1
Host: api.badges.parchment.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "profile": {
    "@context": "text",
    "email": "text",
    "id": "text",
    "name": "text",
    "telephone": "text",
    "type": "text",
    "url": "text"
  },
  "status": {
    "error": "text",
    "statusCode": 1,
    "statusText": "text"
  }
}

Get the Badge Connect manifest for a domain

get

Returns the Badge Connect service discovery manifest for the specified domain

Authorizations
HTTPRequired
Path parameters
domainstringRequired
Responses
200

Manifest retrieved successfully

application/ld+json
@contextstringRequired
idstringRequired
get/bcv1/manifest/{domain}
GET /bcv1/manifest/{domain} HTTP/1.1
Host: api.badges.parchment.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "@context": "text",
  "badgeConnectAPI": [
    {
      "apiBase": "text",
      "authorizationUrl": "text",
      "image": "text",
      "name": "text",
      "privacyPolicyUrl": "text",
      "registrationUrl": "text",
      "scopesOffered": [
        "text"
      ],
      "termsOfServiceUrl": "text",
      "tokenUrl": "text",
      "version": "text"
    }
  ],
  "id": "text"
}

Get the authenticated user's profile

get

Returns the OB 2.1 profile of the authenticated badge recipient

Required scopes
This endpoint requires the following scopes:
  • : See who you are
Authorizations
OAuth2authorizationCodeRequired

OAuth2 authorizationCode flow is currently not functional on the Swagger UI.

Authorization URL: Token URL:
Responses
200

Profile retrieved successfully

application/ld+json
get/bcv1/profile
GET /bcv1/profile HTTP/1.1
Host: api.badges.parchment.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "profile": {
    "@context": "text",
    "email": "text",
    "id": "text",
    "name": "text",
    "telephone": "text",
    "type": "text",
    "url": "text"
  },
  "status": {
    "error": "text",
    "statusCode": 1,
    "statusText": "text"
  }
}

Get OB 2.1 assertions via OB 3.0 path

get

Forwards to the Badge Connect v1 assertions endpoint for backward compatibility

Required scopes
This endpoint requires the following scopes:
  • : List assertions in your backpack
Authorizations
OAuth2authorizationCodeRequired

OAuth2 authorizationCode flow is currently not functional on the Swagger UI.

Authorization URL: Token URL:
Responses
200

Assertions retrieved successfully. Response format is the same as the OB 2.1 GET /assertions endpoint.

application/ld+json
get/ims/ob/v3p0/assertions
GET /ims/ob/v3p0/assertions HTTP/1.1
Host: api.badges.parchment.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "assertions": [
    {
      "@context": "text",
      "badge": "https://example.com/badges/1",
      "evidence": [
        "text"
      ],
      "expires": "2026-01-01T00:00:00.000Z",
      "extensions": {
        "ANY_ADDITIONAL_PROPERTY": {}
      },
      "id": "text",
      "image": {
        "caption": "text",
        "id": "text"
      },
      "issuedOn": "2026-01-01T00:00:00.000Z",
      "narrative": "text",
      "recipient": {
        "hashed": true,
        "identity": "text",
        "salt": "text",
        "type": "text"
      },
      "revocationReason": "text",
      "revoked": true,
      "type": "text",
      "verification": {
        "allowedOrigins": [
          "text"
        ],
        "creator": "text",
        "startsWith": "text",
        "type": "HostedBadge",
        "url": "text",
        "verificationProperty": "text"
      }
    }
  ],
  "status": {
    "error": "text",
    "statusCode": 1,
    "statusText": "text"
  }
}

Get verifiable credentials for the authenticated user

get

Returns a paginated list of signed OB 3.0 verifiable credentials for the authenticated badge recipient

Required scopes
This endpoint requires the following scopes:
  • : List assertions in your backpack
Authorizations
OAuth2authorizationCodeRequired

OAuth2 authorizationCode flow is currently not functional on the Swagger UI.

Authorization URL: Token URL:
Query parameters
limitinteger · int32OptionalDefault: 20
offsetinteger · int32OptionalDefault: 0
sincestring · date-timeOptional
Responses
200

Credentials retrieved successfully

*/*
get/ims/ob/v3p0/credentials
GET /ims/ob/v3p0/credentials HTTP/1.1
Host: api.badges.parchment.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "credential": [
    {
      "@context": [
        "text"
      ],
      "credentialSchema": [
        {
          "id": "text",
          "type": "text"
        }
      ],
      "credentialStatus": {
        "id": "text",
        "statusListCredential": "text",
        "statusListIndex": "text",
        "statusPurpose": "text",
        "type": "text"
      },
      "credentialSubject": {
        "achievement": {
          "achievementType": "Achievement",
          "alignment": [
            {
              "targetCode": "text",
              "targetDescription": "text",
              "targetFramework": "text",
              "targetName": "text",
              "targetType": "ceasn:Competency",
              "targetUrl": "text",
              "type": [
                "text"
              ]
            }
          ],
          "creditsAvailable": 1,
          "criteria": {
            "id": "text",
            "narrative": "text"
          },
          "description": "text",
          "fieldOfStudy": "text",
          "humanCode": "text",
          "id": "text",
          "image": {
            "caption": "text",
            "id": "text"
          },
          "name": "text",
          "specialization": "text",
          "type": [
            "text"
          ]
        },
        "activityEndDate": "2026-01-01T00:00:00.000Z",
        "activityStartDate": "2026-01-01T00:00:00.000Z",
        "id": "text",
        "identifier": [
          {
            "hashed": true,
            "identityHash": "text",
            "identityType": "emailAddress",
            "salt": "text",
            "type": "text"
          }
        ],
        "licenseNumber": "text",
        "narrative": "text",
        "role": "text",
        "type": [
          "text"
        ]
      },
      "description": "text",
      "evidence": [
        {
          "audience": "text",
          "description": "text",
          "genre": "text",
          "id": "text",
          "name": "text",
          "narrative": "text"
        }
      ],
      "id": "text",
      "image": {
        "caption": "text",
        "id": "text"
      },
      "issuer": {
        "description": "text",
        "email": "text",
        "id": "text",
        "name": "text",
        "type": [
          "text"
        ],
        "url": "text"
      },
      "name": "text",
      "proof": [
        {
          "@context": [
            "text"
          ],
          "created": "text",
          "cryptosuite": "text",
          "proofPurpose": "text",
          "proofValue": "text",
          "type": "text",
          "verificationMethod": "text"
        }
      ],
      "type": [
        "text"
      ],
      "validFrom": "text",
      "validUntil": "text"
    }
  ]
}

Get the OB 3.0 service discovery document

get

Returns the Badge Connect service descriptor for OB 3.0 API discovery

Authorizations
HTTPRequired
Responses
200

Service descriptor retrieved successfully

application/json
get/ims/ob/v3p0/discovery
GET /ims/ob/v3p0/discovery HTTP/1.1
Host: api.badges.parchment.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "info": {
    "title": "OpenAPI schema for Open Badges",
    "version": "3.0"
  },
  "openapi": "3.0.1",
  "paths": {
    "/credentials": {
      "get": {
        "operationId": "getCredentials",
        "summary": "Get verifiable credentials"
      }
    },
    "/profile": {
      "get": {
        "operationId": "getProfile",
        "summary": "Get user profile"
      }
    }
  },
  "servers": [
    {
      "url": "https://api.badgr.com/ims/ob/v3p0"
    }
  ]
}

Get the authenticated user's profile

get

Returns the OB 3.0 profile of the authenticated badge recipient

Required scopes
This endpoint requires the following scopes:
  • : See who you are
Authorizations
OAuth2authorizationCodeRequired

OAuth2 authorizationCode flow is currently not functional on the Swagger UI.

Authorization URL: Token URL:
Responses
200

Profile retrieved successfully

*/*
@contextstring[]Required
emailstring · nullableOptional
namestring · nullableOptional
phonestring · nullableOptional
typestring[]Required
urlstring · nullableOptional
get/ims/ob/v3p0/profile
GET /ims/ob/v3p0/profile HTTP/1.1
Host: api.badges.parchment.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "@context": [
    "text"
  ],
  "email": "text",
  "name": "text",
  "phone": "text",
  "type": [
    "text"
  ],
  "url": "text"
}

Last updated

Was this helpful?